## gate.util
Class AbstractFeatureBearer

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer

All Implemented Interfaces:
  FeatureBearer, Serializable

Direct Known Subclasses:
  AbstractResource, AnnotationImpl, JDBCDataStore, ResourceData, SerialDataStore

public abstract class AbstractFeatureBearer
extends Object
implements FeatureBearer, Serializable

A convenience implemetation of FeatureBearer.

See Also:
  `FeatureBearer`, Serialized Form

Constructor Summary
`AbstractFeatureBearer()`

Method Summary
`FeatureMap` `getFeatures()` Get the feature set
`void` `setFeatures(FeatureMap features)` Set the feature set

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFeatureBearer

    public AbstractFeatureBearer()

Method Detail

### getFeatures

    public FeatureMap getFeatures()

  Get the feature set
  Specified by:
    `getFeatures` in interface `FeatureBearer`

### setFeatures

    public void setFeatures(FeatureMap features)

  Set the feature set
  Specified by:
    `setFeatures` in interface `FeatureBearer`